<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: OverheatingParticle Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d83/class_overheating_particle.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">OverheatingParticle Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae32f077acb1eeb3bc2fe528a107b711c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#ae32f077acb1eeb3bc2fe528a107b711c">RegisterParticle</a> (<a class="el" href="../../de/d85/class_particle.html">Particle</a> p)</td></tr>
<tr class="separator:ae32f077acb1eeb3bc2fe528a107b711c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad26fce7e203d6fab9caef942d5e03533"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#ad26fce7e203d6fab9caef942d5e03533">GetParticle</a> ()</td></tr>
<tr class="separator:ad26fce7e203d6fab9caef942d5e03533"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b7fb250205e5fed3e7a85a12e09cd6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#ad9b7fb250205e5fed3e7a85a12e09cd6">SetOverheatingLimitMin</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> min)</td></tr>
<tr class="separator:ad9b7fb250205e5fed3e7a85a12e09cd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e1bcbf00b49931cf80f29eb5d9bee3a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a3e1bcbf00b49931cf80f29eb5d9bee3a">SetOverheatingLimitMax</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> max)</td></tr>
<tr class="separator:a3e1bcbf00b49931cf80f29eb5d9bee3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66370439703bc2c44254fac8d6900741"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a66370439703bc2c44254fac8d6900741">GetOverheatingLimitMin</a> ()</td></tr>
<tr class="separator:a66370439703bc2c44254fac8d6900741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a157a9c5ab6732240e5e92e816faa6ab9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a157a9c5ab6732240e5e92e816faa6ab9">GetOverheatingLimitMax</a> ()</td></tr>
<tr class="separator:a157a9c5ab6732240e5e92e816faa6ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c76457599515af6805cf3aedcdae572"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a4c76457599515af6805cf3aedcdae572">SetParticleParams</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../db/d9c/_smoke_simulation_8c.html#a7ccc29a80f5e39e2fa08fabc79bca587">particle_id</a>, <a class="el" href="../../d8/d83/class_object.html">Object</a> parent, <a class="el" href="../../d7/dfc/classvector.html">vector</a> local_pos, <a class="el" href="../../d7/dfc/classvector.html">vector</a> local_ori)</td></tr>
<tr class="separator:a4c76457599515af6805cf3aedcdae572"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addaa8a665c45a856dfa5bb96f9b19dc4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#addaa8a665c45a856dfa5bb96f9b19dc4">GetParticleID</a> ()</td></tr>
<tr class="separator:addaa8a665c45a856dfa5bb96f9b19dc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e23c68694b72164cf469b046edb09ae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a4e23c68694b72164cf469b046edb09ae">GetParticleParent</a> ()</td></tr>
<tr class="separator:a4e23c68694b72164cf469b046edb09ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedce975a19f695c51d5b193ccd4ec2db"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#aedce975a19f695c51d5b193ccd4ec2db">GetParticlePos</a> ()</td></tr>
<tr class="separator:aedce975a19f695c51d5b193ccd4ec2db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37a92fd41b621011e40c12ccf38d1ef1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a37a92fd41b621011e40c12ccf38d1ef1">GetParticleOri</a> ()</td></tr>
<tr class="separator:a37a92fd41b621011e40c12ccf38d1ef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a84ea55cbcea5393a1dfdf0086d3c7c1f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a84ea55cbcea5393a1dfdf0086d3c7c1f">m_Particle</a></td></tr>
<tr class="separator:a84ea55cbcea5393a1dfdf0086d3c7c1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52bfa481839686a4a5e934e354d0f5b5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a52bfa481839686a4a5e934e354d0f5b5">m_ParticleID</a></td></tr>
<tr class="separator:a52bfa481839686a4a5e934e354d0f5b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dc77b5fdf150450b8cbe4180c81a506"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a7dc77b5fdf150450b8cbe4180c81a506">m_Parent</a></td></tr>
<tr class="separator:a7dc77b5fdf150450b8cbe4180c81a506"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c0ccb0678b8b55d584815a2561deb62"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a0c0ccb0678b8b55d584815a2561deb62">m_LocalPos</a></td></tr>
<tr class="separator:a0c0ccb0678b8b55d584815a2561deb62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb90f41219b549138d09d85575a50376"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#afb90f41219b549138d09d85575a50376">m_LocalOri</a></td></tr>
<tr class="separator:afb90f41219b549138d09d85575a50376"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90cb00fbe1ff601d4af8fc4701b392a7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a90cb00fbe1ff601d4af8fc4701b392a7">m_OverheatingLimitMin</a></td></tr>
<tr class="separator:a90cb00fbe1ff601d4af8fc4701b392a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1834826a95bf2b67a3136240c80aa3a7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d83/class_overheating_particle.html#a1834826a95bf2b67a3136240c80aa3a7">m_OverheatingLimitMax</a></td></tr>
<tr class="separator:a1834826a95bf2b67a3136240c80aa3a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00381">381</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a157a9c5ab6732240e5e92e816faa6ab9" name="a157a9c5ab6732240e5e92e816faa6ab9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a157a9c5ab6732240e5e92e816faa6ab9">&#9670;&#160;</a></span>GetOverheatingLimitMax()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> OverheatingParticle::GetOverheatingLimitMax </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00417">417</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a66370439703bc2c44254fac8d6900741" name="a66370439703bc2c44254fac8d6900741"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66370439703bc2c44254fac8d6900741">&#9670;&#160;</a></span>GetOverheatingLimitMin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> OverheatingParticle::GetOverheatingLimitMin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00412">412</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="ad26fce7e203d6fab9caef942d5e03533" name="ad26fce7e203d6fab9caef942d5e03533"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad26fce7e203d6fab9caef942d5e03533">&#9670;&#160;</a></span>GetParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d85/class_particle.html">Particle</a> OverheatingParticle::GetParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00397">397</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="addaa8a665c45a856dfa5bb96f9b19dc4" name="addaa8a665c45a856dfa5bb96f9b19dc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addaa8a665c45a856dfa5bb96f9b19dc4">&#9670;&#160;</a></span>GetParticleID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> OverheatingParticle::GetParticleID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00430">430</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a37a92fd41b621011e40c12ccf38d1ef1" name="a37a92fd41b621011e40c12ccf38d1ef1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37a92fd41b621011e40c12ccf38d1ef1">&#9670;&#160;</a></span>GetParticleOri()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> OverheatingParticle::GetParticleOri </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00445">445</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a4e23c68694b72164cf469b046edb09ae" name="a4e23c68694b72164cf469b046edb09ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e23c68694b72164cf469b046edb09ae">&#9670;&#160;</a></span>GetParticleParent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> OverheatingParticle::GetParticleParent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00435">435</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="aedce975a19f695c51d5b193ccd4ec2db" name="aedce975a19f695c51d5b193ccd4ec2db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedce975a19f695c51d5b193ccd4ec2db">&#9670;&#160;</a></span>GetParticlePos()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> OverheatingParticle::GetParticlePos </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00440">440</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="ae32f077acb1eeb3bc2fe528a107b711c" name="ae32f077acb1eeb3bc2fe528a107b711c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae32f077acb1eeb3bc2fe528a107b711c">&#9670;&#160;</a></span>RegisterParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OverheatingParticle::RegisterParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00392">392</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a3e1bcbf00b49931cf80f29eb5d9bee3a" name="a3e1bcbf00b49931cf80f29eb5d9bee3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e1bcbf00b49931cf80f29eb5d9bee3a">&#9670;&#160;</a></span>SetOverheatingLimitMax()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OverheatingParticle::SetOverheatingLimitMax </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>max</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00407">407</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="ad9b7fb250205e5fed3e7a85a12e09cd6" name="ad9b7fb250205e5fed3e7a85a12e09cd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9b7fb250205e5fed3e7a85a12e09cd6">&#9670;&#160;</a></span>SetOverheatingLimitMin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OverheatingParticle::SetOverheatingLimitMin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>min</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00402">402</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a4c76457599515af6805cf3aedcdae572" name="a4c76457599515af6805cf3aedcdae572"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c76457599515af6805cf3aedcdae572">&#9670;&#160;</a></span>SetParticleParams()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OverheatingParticle::SetParticleParams </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>particle_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>local_pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>local_ori</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00422">422</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="afb90f41219b549138d09d85575a50376" name="afb90f41219b549138d09d85575a50376"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb90f41219b549138d09d85575a50376">&#9670;&#160;</a></span>m_LocalOri</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> OverheatingParticle::m_LocalOri</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00387">387</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a0c0ccb0678b8b55d584815a2561deb62" name="a0c0ccb0678b8b55d584815a2561deb62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c0ccb0678b8b55d584815a2561deb62">&#9670;&#160;</a></span>m_LocalPos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> OverheatingParticle::m_LocalPos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00386">386</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a1834826a95bf2b67a3136240c80aa3a7" name="a1834826a95bf2b67a3136240c80aa3a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1834826a95bf2b67a3136240c80aa3a7">&#9670;&#160;</a></span>m_OverheatingLimitMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> OverheatingParticle::m_OverheatingLimitMax</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00390">390</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a90cb00fbe1ff601d4af8fc4701b392a7" name="a90cb00fbe1ff601d4af8fc4701b392a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90cb00fbe1ff601d4af8fc4701b392a7">&#9670;&#160;</a></span>m_OverheatingLimitMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> OverheatingParticle::m_OverheatingLimitMin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00389">389</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a7dc77b5fdf150450b8cbe4180c81a506" name="a7dc77b5fdf150450b8cbe4180c81a506"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dc77b5fdf150450b8cbe4180c81a506">&#9670;&#160;</a></span>m_Parent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> OverheatingParticle::m_Parent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00385">385</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a84ea55cbcea5393a1dfdf0086d3c7c1f" name="a84ea55cbcea5393a1dfdf0086d3c7c1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84ea55cbcea5393a1dfdf0086d3c7c1f">&#9670;&#160;</a></span>m_Particle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d85/class_particle.html">Particle</a> OverheatingParticle::m_Particle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00383">383</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<a id="a52bfa481839686a4a5e934e354d0f5b5" name="a52bfa481839686a4a5e934e354d0f5b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52bfa481839686a4a5e934e354d0f5b5">&#9670;&#160;</a></span>m_ParticleID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> OverheatingParticle::m_ParticleID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html#l00384">384</a> of file <a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/<a class="el" href="../../d4/d56/_weapon_particles_8c_source.html">WeaponParticles.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d83/class_overheating_particle.html">OverheatingParticle</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
